#!/bin/sh
#$1 driver=version
#$2 driver_version_amd64.deb OR driver_version_i386.deb
#$3 /usr/share/drivers_backup 
#$4 /var/cache/apt/archives
if [ ! -e $3 ]; then
	mkdir $3 -p;
fi
if [ -e $4/$2 ]; then
	cp -f $4/$2 $3 && res='0' || res='1';
	echo "res-1 : $res";
	exit $res;
fi
apt-get download "$1"
res=$?
if [ $res -eq 0 ];then
	cp -L $2 $4 
	cp -L $2 $3
	res=$?
	rm $2
	echo "result is $res"
else
#could not download.
# 1,no source or no source list.
# 2,a local source @mint17.
# when it's second situation	
	drvname=`echo $1 | sed "s/=.*//g"`
	path=`apt-cache showpkg $drvname | sed -n "3p"`
	path=`echo $path | sed "s/.*\(_media.*\)_Packages.*/\1/g"`
	path=`echo $path | sed "s/_/\//g"`
	path=`echo $path | sed "s/\%5f/_/g"`
	cp -L $path/$2 $4 
	cp -L $path/$2 $3
	res=$?
	echo "result 2 is $res"
#filename is $2
fi
exit $res
